:root, :before, :after {
    --turtle-green: #00796b;
    --dark-green: #004d40;
}

body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #e0f7fa;
    color: var(--dark-green);
}

header {
    background-color: var(--turtle-green);
    color: white;
    padding: 5px 0;
    position: relative;
}

.top-left-name {
    position: absolute;
    top: 10px;
    left: 10px;
    font-size: 25px;
    font-weight: bold;
}

.name-icon {
    width: 30px;
    height: 30px;
    margin-top: -5px;
    margin-right: 5px;
    border-radius: 5px;
    vertical-align: middle;
}

nav {
    list-style-type: none;
    margin: 0;
    padding: 0;
    padding-right: 20px;
    text-align: right;
}

nav .dropdown {
    display: inline-block;
    margin-right: 5px;
    position: relative;
}

.namebtn{
    color: white;
    text-decoration: none;
}

.namebtn:hover{
    color: white;
}

nav .navbar a, nav .navbutton a, nav .dropdown .dropbtn {
    color: white;
    text-decoration: none;
    padding: 10px 10px;
    display: block;
    text-align: center;
    transition: background-color 0.3s;
}

nav .navbar a:hover, nav .navbutton a:hover, nav .dropdown:hover .dropbtn {
    background-color: var(--dark-green);
    border-radius: 5px;
}

nav .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

nav .dropdown-content a {
    padding: 10px 10px;
    text-decoration: none;
    display: block;
    text-align: left;
}

nav .dropdown-content a:hover {
    background-color: #f1f1f1;
}

nav .dropdown:hover .dropdown-content {
    display: block;
}

@media (max-width: 550px) or (orientation: portrait) {
    .hide-name {
        display: none;
    }
}

main {
    padding: 20px;
    max-width: 800px;
    margin: auto;
    background-color: #ffffff;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); 
    text-align: justify;
}

img {
    max-width: 100%;
    border-radius: 10px;
}

ul li, ol li {
    margin-top: 5px;
    margin-bottom: 5px;
}

p {
    line-height: 1.25;
}

a {
    color: var(--turtle-green);
    text-decoration: underline;
}

a:hover {
    color: var(--dark-green);
    text-decoration: underline;
}

.border-box {
    border: 2px solid var(--dark-green);
    padding-left: 20px;
    padding-right: 20px;
    margin: 10px 0;
    display: inline-block;
    border-radius: 20px;
}

.shaded-box {
    padding: 5px 20px;
    background-color: #f1f1f1;
    border-radius: 20px;  /* Rounded corners */
    margin: 10px 0;  /* Spacing around the box */
}

summary {
    color: var(--turtle-green);
    text-decoration: underline;
    font-weight: bold;
    cursor: pointer;
    padding: 5px 0;
    transition: color 0.3s, background-color 0.3s;
}

summary:hover {
    color: var(--dark-green);
}

hr {
    border: 1px solid var(--dark-green);
    width: 100%;
    margin: 30px auto
}

.video-container {
    text-align: center;
}

iframe {
    display: inline-block;
    box-shadow: 0px 5px 5px rgba(0, 0, 0, 0.3);
    border: 5px solid black;
    border-radius: 5px
}

.hover-image {
    position: relative;
    display: inline-block;
}

.hover-image img {
    transition: opacity 0.8s ease-in-out;
}

.hover-image img.hover {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 0.8s ease-in-out;
}

.hover-image:hover img.hover {
    opacity: 1;
}

.hover-image:hover img.default {
    opacity: 0;
}